<?php
print (basename(__FILE__).": Init...\n");

// Change directory
@chdir("..");

// Load config file
require(dirname(dirname(__FILE__)) . '/inc/config.php');

// Load all include files
require($cfg->getConfigEntry('base_path') . 'inc/includes.php');

// Load all game classes
require($cfg->getConfigEntry('base_path') . 'inc/classes.php');

// Set default application
FrameworkConfiguration::getInstance()->setConfigEntry('default_application', 'ship-simu');

// Set testing mode (no starter.php will be loaded!)
define('TEST_MODE', true);

// Load the PHPUnit framework
require('PHPUnit/Framework.php');

print (basename(__FILE__).": Init completed.\n\n");
die("You need to remove this line (".__LINE__.") and implement this test!\n");

/**
 * A test case for 
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 * @see			http://www.phpunit.de
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class Test extends PHPUnit_Framework_TestCase {
}

?>
